library button_go;

import 'package:flutter/material.dart';

typedef Press = void Function();

class ButtonGo extends StatelessWidget {
  final Color color;
  final Color colorText;
  final String text;
  final Widget widget;
  final Press press;
  final double height;
  final double width;
  final double fontSizeText;

  const ButtonGo(
      {Key key,
      this.color,
      this.text,
      this.widget,
      this.colorText,
      this.press,
      this.height,
      this.width,
      this.fontSizeText})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      width: width,
      child: RaisedButton(
        onPressed: press,
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
        color: color,
        child: Text(
          text,
          style: TextStyle(color: colorText, fontSize: fontSizeText),
        ),
      ),
    );
  }
}
